Index: trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist
===================================================================
--- trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist	(revision 1108)
+++ trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist	(revision 1113)
@@ -344,33 +213,20 @@
 !  dqdt       magnitude of the retroaction on temperature [W/m2/K]
 !  deds       magnitude of the damping on salinity [mm/day]
-!  THE ORDER OF THE FILES MATTER:
-!               !   file name     ! frequency (hours) ! variable ! time intepolation !  clim  ! starting !
-!               !                 !   (if <0  months) !   name   !    (logical)      !  (0/1) !  record  !
-&namsbc_ssr
-   cn_dir       = './'
-   nn_sstr      = 0
-   nn_sssr      = 0
-   dqdt         = -40.
-   deds         =  27.7
-   sn_sst       =  'sst_data.nc'  ,         24.       ,  'sst'   ,     .false.       ,    0   ,     0
-   sn_sss       =  'sss_data.nc'  ,        -12.       ,  'sss'   ,     .true.        ,    0   ,     0
+!
+   cn_dir      = './'      !  root directory for the location of the runoff files
+   nn_sstr     =     0     !  add a retroaction term in the surface heat       flux (=1) or not (=0)
+   nn_sssr     =     0     !  add a damping     term in the surface freshwater flux (=1) or not (=0)
+   dqdt        =   -40.    !  magnitude of the retroaction on temperature   [W/m2/K]
+   deds        =    27.7   !  magnitude of the damping on salinity   [mm/day/psu]
 /      
 !-----------------------------------------------------------------------
-!       namalb   albedo parameters
-!-----------------------------------------------------------------------
-!  cgren    correction of the snow or ice albedo to take into account
-!  albice   albedo of melting ice in the arctic and antarctic
-!  alphd    coefficients for linear interpolation used to compute albedo
-!           between two extremes values (Pyane, 1972)
-!  alphc     "                                         "
-!  alphdi    "                                         "
-&namalb
-   cgren    =      0.06
-   albice   =      0.5
-   alphd    =      0.80
-   alphc    =      0.65
-   alphdi   =      0.72
-/
-
+&namalb        !   albedo parameters
+!-----------------------------------------------------------------------
+   cgren       =    0.06   !  correction of the snow or ice albedo to take into account the
+   albice      =    0.5    !  albedo of melting ice in the arctic and antarctic
+   alphd       =    0.80   !  coefficients for linear interpolation used to
+   alphc       =    0.65   !  compute albedo between two extremes values 
+   alphdi      =    0.72   !  (Pyane, 1972)
+/
 !!======================================================================
 !!               ***  Lateral boundary condition  ***
@@ -379,4 +235,5 @@
 !!   namcla        cross land advection
 !!   namobc        open boundaries parameters                           ("key_obc")
+!!   namagrif      agrif nested grid ( read by child model only )       ("key_agrif") 
 !!   nambdy        Unstructured open boundaries                         ("key_bdy")
 !!   namtide       Tidal forcing at open boundaries                     ("key_bdy_tides")
@@ -384,89 +241,67 @@
 
 !-----------------------------------------------------------------------
-!       namlbc   lateral momentum boundary condition
-!-----------------------------------------------------------------------
-!  shlat            shlat = 0 , free slip   ;   0 < shlat < 2 , partial slip
-!                   shlat = 2 , no slip     ;   2 < shlat     , strong slip
-&namlbc
-   shlat  =      2.
-/
-!-----------------------------------------------------------------------
-!       namcla   cross land advection
-!-----------------------------------------------------------------------
-!  n_cla   advection between 2 ocean pts separates by land 
-&namcla
-   n_cla   = 1
-/
-!-----------------------------------------------------------------------
-!       namobc    open boundaries parameters (#ifdef key_obc)
-!-----------------------------------------------------------------------
-!  nobc_dta   = 0 the obc data are equal to the initial state
-!             = 1 the obc data are read in 'obc   .dta' files
-!  rdpeob  time relaxation (days) for the east open boundary
-!  rdpwob  time relaxation (days) for the west open boundary
-!  rdpnob  time relaxation (days) for the north open boundary
-!  rdpsob  time relaxation (days) for the south open boundary
-!  zbsic1  barotropic stream function on isolated coastline 1
-!  zbsic2  barotropic stream function on isolated coastline 2
-!  zbsic3  barotropic stream function on isolated coastline 3
-!  ln_obc_clim  climatological obc data files (default T)
-!  ln_vol_cst   total volume conserved
-&namobc
-    nobc_dta =    0
-    rdpein   =    1.
-    rdpwin   =    1.
-    rdpnin   =   30.
-    rdpsin   =    1.
-    rdpeob   = 1500.
-    rdpwob   =   15.
-    rdpnob   =  150.
-    rdpsob   =   15.
-    zbsic1   =  140.e+6
-    zbsic2   =    1.e+6
-    zbsic3   =    0.
-    ln_obc_clim = .true.
-    ln_vol_cst  = .false.
-/
-!-----------------------------------------------------------------------
-!       nambdy    unstructured open boundaries parameters               ("key_bdy")
-!-----------------------------------------------------------------------
-!  filbdy_mask     Name of mask file (at T-points)
-!  filbdy_data_T   Name of data file (at T-points)
-!  filbdy_data_U   Name of data file (at U-points)
-!  filbdy_data_V   Name of data file (at V-points)
-!  ln_bdy_clim     bdy files must contain 1 or 12 time dumps and be cyclic. 
-!  ln_bdy_vol      Total volume correction (see volbdy parameter)
-!  ln_bdy_fla      Flather boundary conditions                         
-!  nbdy_dta        0 the bdy data are equal to the initial state
-!                  1 the bdy data are read in 'bdydata   .nc' files
-!  nb_rimwidth     width of the relaxation zone
-!  volbdy          0 the total water flux across open boundaries is zero 
-!                  1 the total volume of the system is conserved
-&nambdy
-    filbdy_mask   = 'bdymask_grid_T.nc'
-    filbdy_data_T = 'bdydata_grid_T.nc'
-    filbdy_data_U = 'bdydata_grid_U.nc'
-    filbdy_data_V = 'bdydata_grid_V.nc'
-    ln_bdy_clim = .false.
-    ln_bdy_vol  = .false.
-    ln_bdy_fla  = .true.
-    nbdy_dta    = 1
-    nb_rimwidth = 1
-    volbdy      = 1
-/
-!-----------------------------------------------------------------------
-!       namtide   tidal forcing at unstructured boundaries              ("key_bdy_tides")
-!-----------------------------------------------------------------------
-!  filtide         File name root of tidal forcing files
-!  tide_cpt        Names of tidal components used
-!  tide_speed      Phase speeds of tidal components (deg/hour)
-!  ln_tide_date    If true, adjust tidal harmonics for start date of run.
-&namtide
-    filtide      = 'bdytide_'
-    tide_cpt     = 'M2','S1'
-    tide_speed   = 28.984106, 15.000001
-    ln_tide_date = .true.
-/
-
+&namlbc        !   lateral momentum boundary condition
+!-----------------------------------------------------------------------
+   shlat       =    2.     !      shlat = 0 : free slip
+                           !  0 < shlat < 2 : partial slip
+                           !      shlat = 2 : no slip
+                           !  2 < shlat     : strong slip
+/
+!-----------------------------------------------------------------------
+&namcla        !   cross land advection
+!-----------------------------------------------------------------------
+   n_cla       =    1      !  advection between 2 ocean pts separates by land
+/
+!-----------------------------------------------------------------------
+&namobc        !   open boundaries parameters                           ("key_obc")
+!-----------------------------------------------------------------------
+    nobc_dta   =    0      !  = 0 the obc data are equal to the initial state
+                           !  = 1 the obc data are read in 'obc.dta' files
+    rdpein     =    1.     !  ???
+    rdpwin     =    1.     !  ???
+    rdpnin     =   30.     !  ???
+    rdpsin     =    1.     !  ???
+    rdpeob     = 1500.     !  time relaxation (days) for the east  open boundary
+    rdpwob     =   15.     !    "        "             "     west         "
+    rdpnob     =  150.     !    "        "             "     north        "
+    rdpsob     =   15.     !    "        "             "     south        "
+    zbsic1     =  140.e+6  !   barotropic stream function on first  isolated coastline
+    zbsic2     =    1.e+6  !    "                   "        second       "
+    zbsic3     =    0.     !    "                   "        thrid        "
+    ln_obc_clim= .true.    !  climatological obc data files (T) or not (F)
+    ln_vol_cst = .false.   !  impose the total volume conservation (T) or not (F)
+/
+!-----------------------------------------------------------------------
+&namagrif      !                                                        ("key_agrif")
+!-----------------------------------------------------------------------
+    nbclineupdate = 3      !  baroclinic update frequency
+    ln_spc_dyn    = .true. !  use 0 as special value for dynamics
+    visc_tra      = 2880.  !  viscosity coeeficient for tracers sponge layer
+    visc_dyn      = 2880.  !  viscosity coeeficient for dynamics sponge layer
+/
+!-----------------------------------------------------------------------
+&nambdy        !  unstructured open boundaries parameters               ("key_bdy")
+!-----------------------------------------------------------------------
+    filbdy_mask   = 'bdymask_grid_T.nc'  !  name of mask file (at T-points)
+    filbdy_data_T = 'bdydata_grid_T.nc'  !  name of data file (at T-points)
+    filbdy_data_U = 'bdydata_grid_U.nc'  !  name of data file (at U-points)
+    filbdy_data_V = 'bdydata_grid_V.nc'  !  name of data file (at V-points)
+    ln_bdy_clim = .false.                !  must contain 1 or 12 time dumps and be cyclic
+    ln_bdy_vol  = .false.                !  total volume correction (see volbdy parameter)
+    ln_bdy_fla  = .true.                 !  flather boundary conditions
+    nbdy_dta    = 1                      !  = 0, bdy data are equal to the initial state
+                                         !  = 1, bdy data are read in 'bdydata   .nc' files
+    nb_rimwidth = 1                      !  width of the relaxation zone
+    volbdy      = 1                      !  = 0, the total water flux across open boundaries is zero
+                                         !  = 1, the total volume of the system is conserved
+/
+!-----------------------------------------------------------------------
+&namtide        ! tidal forcing at unstructured boundaries              ("key_bdy_tides")
+!-----------------------------------------------------------------------
+    filtide      = 'bdytide_'           !  file name root of tidal forcing files
+    tide_cpt     = 'M2','S1'            !  names of tidal components used
+    tide_speed   = 28.984106, 15.000001 !  phase speeds of tidal components (deg/hour)
+    ln_tide_date = .true.               !  adjust tidal harmonics for start date of run
+/
 !!======================================================================
 !!                 ***  Bottom boundary condition  ***
@@ -476,39 +311,29 @@
 !!   nambbl        bottom boundary layer scheme                         ("key_trabbl_dif","key_trabbl_adv")
 !!======================================================================
-!-----------------------------------------------------------------------
-!       nambfr   bottom friction
-!-----------------------------------------------------------------------
-!  nbotfr   type of bottom friction : = 0 : no slip    ;  = 1 : linear friction
-!                                     = 3 : free slip  ;  = 2 : non linear friction
-!  bfri1    bottom drag coefficient (linear case)
-!  bfri2    bottom drag coefficient (non linear case)
-!  bfeb2    bottom turbulent kinetic energy  (m2/s2)
-&nambfr
-   nbotfr =       1
-   bfri1  =   4.e-4
-   bfri2  =   1.e-3
-   bfeb2  =  2.5e-3
-/
-!-----------------------------------------------------------------------
-!       nambbc   bottom temperature boundary condition
-!-----------------------------------------------------------------------
-!  ngeo_flux  = 0 no geothermal heat flux
-!             = 1 constant geothermal heat flux
-!             = 2 variable geothermal heat flux (read in geothermal_heating.nc in mW/m2)
-!  ngeo_flux_const   Constant value of geothermal heat flux (W/m2) 
-&nambbc
-   ngeo_flux =  2
-   ngeo_flux_const = 86.4e-3
-/
-!-----------------------------------------------------------------------
-!       nambbl   bottom boundary layer scheme
-!-----------------------------------------------------------------------
-!                                !  diffusive bbl                       ("key_trabbl")
-!                                !  advective bbl                       ("key_trabbl_adv")
-!  atrbbl   mixing coefficient of the bottom boundary layer scheme (m2/s)
-&nambbl
-   atrbbl = 10000.
-/
-
+
+!-----------------------------------------------------------------------
+&nambfr        !   bottom friction
+!-----------------------------------------------------------------------
+   nbotfr      =    1      !  type of bottom friction :   = 0 : no   slip,  = 2 : nonlinear friction
+                           !                              = 3 : free slip,  = 1 :    linear friction
+   bfri1       =    4.e-4  !  bottom drag coefficient (linear case)
+   bfri2       =    1.e-3  !  bottom drag coefficient (non linear case)
+   bfeb2       =    2.5e-3 !  bottom turbulent kinetic energy background  (m^2/s^2)
+/
+!-----------------------------------------------------------------------
+&nambbc        !   bottom temperature boundary condition
+!-----------------------------------------------------------------------
+   ngeo_flux   =    2      !  geothermal heat flux = 0 no flux considered 
+                           !                       = 1 constant flux
+                           !                       = 2 variable flux (read in geothermal_heating.nc in mW/m2) 
+   ngeo_flux_const = 86.4e-3  !  Constant value of geothermal heat flux [W/m2]
+/
+!-----------------------------------------------------------------------
+&nambbl        !   bottom boundary layer scheme
+!-----------------------------------------------------------------------
+!                          !  diffusive bbl                             ("key_trabbl")
+!                          !  advective bbl                             ("key_trabbl_adv")
+   atrbbl      =  10000.   !  lateral mixing coefficient in the bbl  [m2/s]
+/
 !!======================================================================
 !!                        Tracer (T & S ) namelists
@@ -521,82 +346,52 @@
 
 !-----------------------------------------------------------------------
-!       nameos   ocean physical parameters
-!-----------------------------------------------------------------------
-!  neos    type of equation of state and Brunt-Vaisala frequency
-!          !   = 0, UNESCO (formulation of Jackett and McDougall (1994) and of McDougall (1987) )
-!          !   = 1, linear: rho(T)   = rau0 * ( 1.028 - ralpha * T )
-!          !   = 2, linear: rho(T,S) = rau0 * ( rbeta * S - ralpha * T )
-!  ralpha  thermal expension coefficient (neos= 1 or 2)
-!  rbeta   saline  expension coefficient (neos= 2)
-&nameos
-   neos   =      0
-   ralpha =  2.e-4
-   rbeta  =  0.001
-/
-!-----------------------------------------------------------------------
-!       nam_traadv   advection scheme for tracer
-!-----------------------------------------------------------------------
-!  ln_traadv_cen2     2nd order centered scheme          (default T)
-!  ln_traadv_tvd      TVD scheme                         (default F)
-!  ln_traadv_muscl    MUSCL scheme                       (default F)
-!  ln_traadv_muscl2   MUSCL scheme + cen2 at boundaries  (default F)
-!  ln_traadv_ubs      UBS scheme                         (default F)
-!  ln_traadv_qck      QUICKEST scheme                    (default F)
-&nam_traadv
-   ln_traadv_cen2   =  .true.
-   ln_traadv_tvd    =  .false.
-   ln_traadv_muscl  =  .false.
-   ln_traadv_muscl2 =  .false.
-   ln_traadv_ubs    =  .false.
-   ln_traadv_qck    =  .false.
-/
-!-----------------------------------------------------------------------
-!       nam_traldf   lateral diffusion scheme for tracer
-!-----------------------------------------------------------------------
-!  Type of the operator : 
-!     ln_traldf_lap    laplacian operator          (default T)
-!     ln_traldf_bilap  bilaplacian operator        (default F)
-!  Direction of action  : 
-!     ln_traldf_level  iso-level                   (default F)
-!     ln_traldf_hor    horizontal (geopotential)   (default F)   (require "key_ldfslp" when ln_sco=T)
-!     ln_traldf_iso    iso-neutral                 (default T)   (require "key_ldfslp")
-!  Coefficient
-!     aht0    horizontal eddy diffusivity for tracers (m2/s)
-!     ahtb0   background eddy diffusivity for isopycnal diffusion (m2/s)
-!     aeiv0   eddy induced velocity coefficient (m2/s)           (require "key_traldf_eiv")
-&nam_traldf
-   ln_traldf_lap    =  .true.
-   ln_traldf_bilap  =  .false.
-   ln_traldf_level  =  .false.
-   ln_traldf_hor    =  .false.
-   ln_traldf_iso    =  .true.
-   aht0    =  2000.
-   ahtb0   =     0.
-   aeiv0   =  2000.
-/
-!-----------------------------------------------------------------------
-!       namtdp   tracer newtonian damping ('key_tradmp')
-!-----------------------------------------------------------------------
-!  ndmp    type of damping in temperature and salinity 
-!          !   ='latitude', damping poleward of 'ndmp' degrees and function 
-!          !                of the distance-to-coast. Red and Med Seas as ndmp=-1
-!          !   =-1          damping only in Med and Red Seas
-!  ndmpf   =1 create a damping.coeff NetCDF file (the 3D damping array)
-!  nmldmp  type of damping in the mixed layer
-!          !   =0 damping throughout the water column
-!	        !   =1 no damping in the mixed layer defined by avt >5cm2/s 
-!	        !   =2 no damping in the mixed layer defined rho<rho(surf)+.01 
-!  sdmp    surface time scale for internal damping (days)
-!  bdmp    bottom time scale for internal damping (days)
-!  hdmp    depth of transition between sdmp and bdmp (meters)
-&namtdp
-   ndmp   =   -1
-   ndmpf  =    1
-   nmldmp =    1
-   sdmp   =  50.
-   bdmp   = 360.
-   hdmp   = 800.
-/
-
+&nameos        !   ocean physical parameters
+!-----------------------------------------------------------------------
+   neos        =    0      !  type of equation of state and Brunt-Vaisala frequency
+                           !     = 0, UNESCO (formulation of Jackett and McDougall (1994) and of McDougall (1987) )
+                           !     = 1, linear: rho(T)   = rau0 * ( 1.028 - ralpha * T )
+                           !     = 2, linear: rho(T,S) = rau0 * ( rbeta * S - ralpha * T )
+   ralpha      =    2.e-4  !  thermal expension coefficient (neos= 1 or 2)
+   rbeta       =    0.001  !  saline  expension coefficient (neos= 2)
+/
+!-----------------------------------------------------------------------
+&nam_traadv    !   advection scheme for tracer 
+!-----------------------------------------------------------------------
+   ln_traadv_cen2   =  .true.   !  2nd order centered scheme   
+   ln_traadv_tvd    =  .false.  !  TVD scheme                
+   ln_traadv_muscl  =  .false.  !  MUSCL scheme             
+   ln_traadv_muscl2 =  .false.  !  MUSCL2 scheme + cen2 at boundaries  
+   ln_traadv_ubs    =  .false.  !  UBS scheme                 
+/
+!-----------------------------------------------------------------------
+&nam_traldf    !   lateral diffusion scheme for tracer 
+!-----------------------------------------------------------------------
+!                               !  Type of the operator : 
+   ln_traldf_lap    =  .true.   !     laplacian operator       
+   ln_traldf_bilap  =  .false.  !     bilaplacian operator     
+                                !  Direction of action  :
+   ln_traldf_level  =  .false.  !     iso-level                
+   ln_traldf_hor    =  .false.  !     horizontal (geopotential)         (require "key_ldfslp" when ln_sco=T)
+   ln_traldf_iso    =  .true.   !     iso-neutral                       (require "key_ldfslp")
+!                               !  Coefficient
+   aht0        =  2000.         !     horizontal eddy diffusivity for tracers [m2/s]
+   ahtb0       =     0.         !     background eddy diffusivity for ldf_iso [m2/s]
+   aeiv0       =  2000.         !     eddy induced velocity coefficient [m2/s]    (require "key_traldf_eiv")
+/
+!-----------------------------------------------------------------------
+&namtdp        !   tracer newtonian damping                             ('key_tradmp')
+!-----------------------------------------------------------------------
+   ndmp        =   -1      !  type of damping in temperature and salinity 
+                           !     ='latitude', damping poleward of 'ndmp' degrees and function 
+                           !                  of the distance-to-coast. Red and Med Seas as ndmp=-1
+                           !     =-1 damping only in Med and Red Seas
+   ndmpf       =    1      !  create a damping.coeff NetCDF file (=1) or not (=0)
+   nmldmp      =    1      !  type of damping: =0 damping throughout the water column
+                           !                   =1 no damping in the mixed layer defined by avt >5cm2/s )
+                           !                   =2 no damping in the mixed layer defined rho<rho(surf)+.01 )
+   sdmp        =   50.     !  surface time scale for internal damping (days)
+   bdmp        =  360.     !  bottom  time scale for internal damping (days)
+   hdmp        =  800.     !  depth of transition between sdmp and bdmp (meters)
+/
 !!======================================================================
 !!                      ***  Dynamics namelists  ***
@@ -611,91 +406,59 @@
 
 !-----------------------------------------------------------------------
-!       nam_dynadv   formulation of the momentum advection
-!-----------------------------------------------------------------------
-!  ln_dynadv_vec      vector form (T) or flux form (F)         (default T)
-!  ln_dynadv_cen2     flux form - 2nd order centered scheme    (default T)
-!  ln_dynadv_ubs      flux form - 3rd order UBS scheme         (default F)
-&nam_dynadv   
-   ln_dynadv_vec   = .true.
-   ln_dynadv_cen2  = .false.
-   ln_dynadv_ubs   = .false.
+&nam_dynadv    !   formulation of the momentum advection
+!-----------------------------------------------------------------------
+   ln_dynadv_vec = .true.  !  vector form (T) or flux form (F)  
+   ln_dynadv_cen2= .false. !  flux form - 2nd order centered scheme
+   ln_dynadv_ubs = .false. !  flux form - 3rd order UBS      scheme 
 /  
 !-----------------------------------------------------------------------
-!       nam_dynvor   option of physics/algorithm (not control by CPP keys)
-!-----------------------------------------------------------------------
-!  ln_dynvor_ens   vorticity trends: enstrophy conserving scheme (default T)
-!  ln_dynvor_ene      "         "  : energy conserving scheme    (default F)
-!  ln_dynvor_mix      "         "  : mixed scheme                (default F)
-!  ln_dynvor_een      "         "  : energy & enstrophy scheme   (default F)
-&nam_dynvor
-   ln_dynvor_ene = .false.
-   ln_dynvor_ens = .true.
-   ln_dynvor_mix = .false.
-   ln_dynvor_een = .false.
-/
-!-----------------------------------------------------------------------
-!       nam_dynhpg   Hydrostatic pressure gradient option
-!-----------------------------------------------------------------------
-!  type of pressure gradient scheme (choose one only!)
-!     ln_hpg_zco    z-coordinate - full steps                   (default T)
-!     ln_hpg_zps    z-coordinate - partial steps (interpolation)
-!     ln_hpg_sco    s-coordinate (standard jacobian formulation)
-!     ln_hpg_hel    s-coordinate (helsinki modification)
-!     ln_hpg_wdj    s-coordinate (weighted density jacobian)
-!     ln_hpg_djc    s-coordinate (Density Jacobian with Cubic polynomial)
-!     ln_hpg_rot    s-coordinate (ROTated axes scheme)
-!  parameters
-!     gamm          weighting coefficient (wdj scheme)
-&nam_dynhpg
-   ln_hpg_zco = .false.
-   ln_hpg_zps = .true.
-   ln_hpg_sco = .false.
-   ln_hpg_hel = .false.
-   ln_hpg_wdj = .false.
-   ln_hpg_djc = .false.
-   ln_hpg_rot = .false.
-   gamm       = 0.e0
-/
-!-----------------------------------------------------------------------
-!       namflg   algorithm flags (algorithm not control by CPP keys)
-!-----------------------------------------------------------------------
-!  ln_dynhpg_imp   hydrostatic pressure gradient: semi-implicit time scheme  (T)
-!                                                  centered     time scheme  (F)
-!   nn_dynhpg_rst  add dynhpg implicit variables in restart ot not (1/0)
-&namflg
-   ln_dynhpg_imp   =  .false.
-   nn_dynhpg_rst   =  0
-/
-!-----------------------------------------------------------------------
-!       nam_dynspg   surface pressure gradient   (CPP key only)
-!-----------------------------------------------------------------------
-!                                !  explicit free surface               ("key_dynspg_exp")
-!                                !  filtered free surface               ("key_dynspg_flt")
-!                                !  split-explicit free surface         ("key_dynspg_ts")
-!                                !  rigid-lid                           ("key_dynspg_rl")
-
-!-----------------------------------------------------------------------
-!       nam_dynldf   lateral diffusion on momentum
-!-----------------------------------------------------------------------
-!  Type of the operator : 
-!     ln_dynldf_lap    laplacian operator          (default T)
-!     ln_dynldf_bilap  bilaplacian operator        (default F)
-!  Direction of action  : 
-!     ln_dynldf_level  iso-level                   (default F)
-!     ln_dynldf_hor    horizontal (geopotential)   (default F)   (require "key_ldfslp" if ln_sco=T)
-!     ln_dynldf_iso    iso-neutral                 (default T)   (require "key_ldfslp")
-!  Coefficient
-!     ahm0    horizontal eddy viscosity for the dynamics (m2/s)
-!     ahmb0   background eddy viscosity for isopycnal diffusion (m2/s)
-&nam_dynldf
-   ln_dynldf_lap    =  .true.
-   ln_dynldf_bilap  =  .false.
-   ln_dynldf_level  =  .false.
-   ln_dynldf_hor    =  .true.
-   ln_dynldf_iso    =  .false.
-   ahm0    = 40000.
-   ahmb0   =     0.
-/
-
+&nam_dynvor    !   option of physics/algorithm (not control by CPP keys)
+!-----------------------------------------------------------------------
+   ln_dynvor_ene = .false. !  enstrophy conserving scheme  
+   ln_dynvor_ens = .true.  !  energy conserving scheme    
+   ln_dynvor_mix = .false. !  mixed scheme               
+   ln_dynvor_een = .false. !  energy & enstrophy scheme  
+/
+!-----------------------------------------------------------------------
+&nam_dynhpg    !   Hydrostatic pressure gradient option
+!-----------------------------------------------------------------------
+   ln_hpg_zco  = .false.   !  z-coordinate - full steps                   
+   ln_hpg_zps  = .true.    !  z-coordinate - partial steps (interpolation)
+   ln_hpg_sco  = .false.   !  s-coordinate (standard jacobian formulation)
+   ln_hpg_hel  = .false.   !  s-coordinate (helsinki modification)
+   ln_hpg_wdj  = .false.   !  s-coordinate (weighted density jacobian)
+   ln_hpg_djc  = .false.   !  s-coordinate (Density Jacobian with Cubic polynomial)
+   ln_hpg_rot  = .false.   !  s-coordinate (ROTated axes scheme)
+   gamm        = 0.e0      !  weighting coefficient (wdj scheme)
+/
+!-----------------------------------------------------------------------
+&namflg        !   algorithm flags (algorithm not control by CPP keys)
+!-----------------------------------------------------------------------
+   ln_dynhpg_imp = .false. !  hydrostatic pressure gradient: semi-implicit time scheme  (T)
+                           !                                 centered      time scheme  (F)
+   nn_dynhpg_rst =  0      !  add dynhpg implicit variables in restart ot not (1/0)
+/
+!-----------------------------------------------------------------------
+!nam_dynspg    !   surface pressure gradient   (CPP key only)
+!-----------------------------------------------------------------------
+!                          !  explicit free surface                     ("key_dynspg_exp")
+!                          !  filtered free surface                     ("key_dynspg_flt")
+!                          !  split-explicit free surface               ("key_dynspg_ts")
+!                          !  rigid-lid                                 ("key_dynspg_rl")
+
+!-----------------------------------------------------------------------
+&nam_dynldf    !   lateral diffusion on momentum
+!-----------------------------------------------------------------------
+!                               !  Type of the operator : 
+   ln_dynldf_lap    =  .true.   !     laplacian operator         
+   ln_dynldf_bilap  =  .false.  !     bilaplacian operator    
+!                               !  Direction of action  : 
+   ln_dynldf_level  =  .false.  !     iso-level               
+   ln_dynldf_hor    =  .true.   !     horizontal (geopotential)        (require "key_ldfslp" in s-coord.)
+   ln_dynldf_iso    =  .false.  !     iso-neutral                      (require "key_ldfslp")
+                                !  Coefficient
+   ahm0    = 40000.             !     horizontal eddy viscosity   [m2/s]
+   ahmb0   =     0.             !     background eddy viscosity for ldf_iso [m2/s]
+/
 !!======================================================================
 !!             Tracers & Dynamics vertical physics namelists
